GETDISKBYNAME(3)

NAME
getdiskbyname - get disk description by its name

SYNOPSIS
#include <disktab.h>

struct disktab *
getdiskbyname(name)
char *name;

DESCRIPTION
Getdiskbyname takes a disk name (e.g. rm03) and returns a structure describing its geometry information and the standard disk partition tables. All information obtained from the disktab(5) file.

<disktab.h> has the following form:

SEE ALSO
disktab(5)

BUGS
This information should be obtained from the system for locally available disks (in particular, the disk partition tables).